<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Specimen</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Specimen";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10,"i61":10,"i62":10,"i63":10,"i64":10,"i65":10,"i66":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Specimen.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api.model</a></div>
<h2 title="Class Specimen" class="title">Class Specimen</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">nl.naturalis.nba.api.model.NbaTraceableObject</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.nba.api.model.Specimen</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code>, <code><a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Specimen</span>
extends <a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a>
implements <a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Specimen</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addIndentification(nl.naturalis.nba.api.model.SpecimenIdentification)">addIndentification</a></span>&#8203;(<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a>&nbsp;identification)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAcquiredFrom()">getAcquiredFrom</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAssemblageID()">getAssemblageID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAssociatedMultiMediaObjects()">getAssociatedMultiMediaObjects</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAssociatedMultiMediaUris()">getAssociatedMultiMediaUris</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCollectionType()">getCollectionType</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCollectorsFieldNumber()">getCollectorsFieldNumber</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDataGeneralizations()">getDataGeneralizations</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/time/OffsetDateTime.html?is-external=true" title="class or interface in java.time" class="externalLink">OffsetDateTime</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDateLastEdited()">getDateLastEdited</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGatheringEvent()">getGatheringEvent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the Elasticsearch system ID of the document corresponding to this
 instance.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIdentifications()">getIdentifications</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInformationWithheld()">getInformationWithheld</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getKindOfUnit()">getKindOfUnit</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="License.html" title="enum in nl.naturalis.nba.api.model">License</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLicense()">getLicense</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLicenseType()">getLicenseType</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNotes()">getNotes</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNumberOfSpecimen()">getNumberOfSpecimen</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOwner()">getOwner</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPhaseOrStage()">getPhaseOrStage</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreparationType()">getPreparationType</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreviousSourceID()">getPreviousSourceID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreviousUnitsText()">getPreviousUnitsText</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRecordBasis()">getRecordBasis</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSex()">getSex</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceID()">getSourceID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceInstitutionID()">getSourceInstitutionID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTheme()">getTheme</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTitle()">getTitle</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUnitGUID()">getUnitGUID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUnitID()">getUnitID</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isFromCaptivity()">isFromCaptivity</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isMultiMediaPublic()">isMultiMediaPublic</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isObjectPublic()">isObjectPublic</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAcquiredFrom(nl.naturalis.nba.api.model.Agent)">setAcquiredFrom</a></span>&#8203;(<a href="Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a>&nbsp;acquiredFrom)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAssemblageID(java.lang.String)">setAssemblageID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;assemblageID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAssociatedMultiMediaObjects(java.util.List)">setAssociatedMultiMediaObjects</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;&nbsp;associatedMultiMediaObjects)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAssociatedMultiMediaUris(java.util.List)">setAssociatedMultiMediaUris</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a>&gt;&nbsp;associatedMultiMediaUris)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCollectionType(java.lang.String)">setCollectionType</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;collectionType)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCollectorsFieldNumber(java.lang.String)">setCollectorsFieldNumber</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;collectorsFieldNumber)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDataGeneralizations(java.lang.String)">setDataGeneralizations</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;dataGeneralizations)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDateLastEdited(java.time.OffsetDateTime)">setDateLastEdited</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/time/OffsetDateTime.html?is-external=true" title="class or interface in java.time" class="externalLink">OffsetDateTime</a>&nbsp;dateLastEdited)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setFromCaptivity(java.lang.Boolean)">setFromCaptivity</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;fromCaptivity)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGatheringEvent(nl.naturalis.nba.api.model.GatheringEvent)">setGatheringEvent</a></span>&#8203;(<a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a>&nbsp;gatheringEvent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setId(java.lang.String)">setId</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;id)</code></th>
<td class="colLast">
<div class="block">Sets the value of the Elasticsearch system ID.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setIdentifications(java.util.List)">setIdentifications</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a>&gt;&nbsp;identifications)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInformationWithheld(java.lang.String)">setInformationWithheld</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;informationWithheld)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setKindOfUnit(java.lang.String)">setKindOfUnit</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;kindOfUnit)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLicense(nl.naturalis.nba.api.model.License)">setLicense</a></span>&#8203;(<a href="License.html" title="enum in nl.naturalis.nba.api.model">License</a>&nbsp;license)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLicenseType(nl.naturalis.nba.api.model.LicenseType)">setLicenseType</a></span>&#8203;(<a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a>&nbsp;licenseType)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMultiMediaPublic(java.lang.Boolean)">setMultiMediaPublic</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;multiMediaPublic)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNotes(java.lang.String)">setNotes</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;notes)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNumberOfSpecimen(java.lang.Integer)">setNumberOfSpecimen</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;numberOfSpecimen)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setObjectPublic(boolean)">setObjectPublic</a></span>&#8203;(boolean&nbsp;objectPublic)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOwner(java.lang.String)">setOwner</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;owner)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPhaseOrStage(java.lang.String)">setPhaseOrStage</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;phaseOrStage)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPreparationType(java.lang.String)">setPreparationType</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;preparationType)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPreviousSourceID(java.util.List)">setPreviousSourceID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;&nbsp;previousSourceID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPreviousUnitsText(java.lang.String)">setPreviousUnitsText</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;previousUnitsText)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRecordBasis(java.lang.String)">setRecordBasis</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;recordBasis)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSex(nl.naturalis.nba.api.model.Sex)">setSex</a></span>&#8203;(<a href="Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a>&nbsp;sex)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSourceID(java.lang.String)">setSourceID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;sourceID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSourceInstitutionID(java.lang.String)">setSourceInstitutionID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;sourceInstitutionID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTheme(java.util.List)">setTheme</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;&nbsp;theme)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i64" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTitle(java.lang.String)">setTitle</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;title)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i65" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUnitGUID(java.lang.String)">setUnitGUID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;unitGUID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i66" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUnitID(java.lang.String)">setUnitID</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;unitID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.nl.naturalis.nba.api.model.NbaTraceableObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;nl.naturalis.nba.api.model.<a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a></h3>
<code><a href="NbaTraceableObject.html#getRecordURI()">getRecordURI</a>, <a href="NbaTraceableObject.html#getSourceSystem()">getSourceSystem</a>, <a href="NbaTraceableObject.html#getSourceSystemId()">getSourceSystemId</a>, <a href="NbaTraceableObject.html#setRecordURI(java.net.URI)">setRecordURI</a>, <a href="NbaTraceableObject.html#setSourceSystem(nl.naturalis.nba.api.model.SourceSystem)">setSourceSystem</a>, <a href="NbaTraceableObject.html#setSourceSystemId(java.lang.String)">setSourceSystemId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Specimen</h4>
<pre>public&nbsp;Specimen()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addIndentification(nl.naturalis.nba.api.model.SpecimenIdentification)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIndentification</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addIndentification&#8203;(<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a>&nbsp;identification)</pre>
</li>
</ul>
<a id="getId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getId()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IDocumentObject.html#getId()">IDocumentObject</a></code></span></div>
<div class="block">Returns the Elasticsearch system ID of the document corresponding to this
 instance. This is the value of the standard Elasticsearch <code>_id</code>
 field (not part of the document itself but of the <code>SearchHit</code>
 encapsulating the document).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IDocumentObject.html#getId()">getId</a></code>&nbsp;in interface&nbsp;<code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="setId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setId</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setId&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;id)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="IDocumentObject.html#setId(java.lang.String)">IDocumentObject</a></code></span></div>
<div class="block">Sets the value of the Elasticsearch system ID. We don't let Elasticsearch
 auto-generate IDs. Instead, IDs are generated as follows:<br>
 <br>
 "&lt;<a href="NbaTraceableObject.html#getSourceSystemId()"><code>source-system-id</code></a>&gt;"
 <code>+ "@" +</code> "&lt;<a href="SourceSystem.html#getCode()"><code>source-system-code</code></a>&gt;"<br>
 <br>
 (The source system code is a code assigned to the source system, e.g.
 BRAHMS, not some record-level code.)</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IDocumentObject.html#setId(java.lang.String)">setId</a></code>&nbsp;in interface&nbsp;<code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code></dd>
</dl>
</li>
</ul>
<a id="getUnitID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnitID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getUnitID()</pre>
</li>
</ul>
<a id="setUnitID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUnitID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setUnitID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;unitID)</pre>
</li>
</ul>
<a id="getUnitGUID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUnitGUID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getUnitGUID()</pre>
</li>
</ul>
<a id="setUnitGUID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUnitGUID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setUnitGUID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;unitGUID)</pre>
</li>
</ul>
<a id="getCollectorsFieldNumber()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectorsFieldNumber</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getCollectorsFieldNumber()</pre>
</li>
</ul>
<a id="setCollectorsFieldNumber(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCollectorsFieldNumber</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCollectorsFieldNumber&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;collectorsFieldNumber)</pre>
</li>
</ul>
<a id="getAssemblageID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssemblageID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getAssemblageID()</pre>
</li>
</ul>
<a id="setAssemblageID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAssemblageID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAssemblageID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;assemblageID)</pre>
</li>
</ul>
<a id="getSourceInstitutionID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceInstitutionID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getSourceInstitutionID()</pre>
</li>
</ul>
<a id="setSourceInstitutionID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceInstitutionID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSourceInstitutionID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;sourceInstitutionID)</pre>
</li>
</ul>
<a id="getSourceID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getSourceID()</pre>
</li>
</ul>
<a id="setSourceID(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSourceID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;sourceID)</pre>
</li>
</ul>
<a id="getPreviousSourceID()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreviousSourceID</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;&nbsp;getPreviousSourceID()</pre>
</li>
</ul>
<a id="setPreviousSourceID(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreviousSourceID</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPreviousSourceID&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;&nbsp;previousSourceID)</pre>
</li>
</ul>
<a id="getOwner()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwner</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getOwner()</pre>
</li>
</ul>
<a id="setOwner(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOwner</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOwner&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;owner)</pre>
</li>
</ul>
<a id="getLicenseType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLicenseType</h4>
<pre class="methodSignature">public&nbsp;<a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a>&nbsp;getLicenseType()</pre>
</li>
</ul>
<a id="setLicenseType(nl.naturalis.nba.api.model.LicenseType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLicenseType</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLicenseType&#8203;(<a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a>&nbsp;licenseType)</pre>
</li>
</ul>
<a id="getLicense()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLicense</h4>
<pre class="methodSignature">public&nbsp;<a href="License.html" title="enum in nl.naturalis.nba.api.model">License</a>&nbsp;getLicense()</pre>
</li>
</ul>
<a id="setLicense(nl.naturalis.nba.api.model.License)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLicense</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLicense&#8203;(<a href="License.html" title="enum in nl.naturalis.nba.api.model">License</a>&nbsp;license)</pre>
</li>
</ul>
<a id="getRecordBasis()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRecordBasis</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getRecordBasis()</pre>
</li>
</ul>
<a id="setRecordBasis(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRecordBasis</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRecordBasis&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;recordBasis)</pre>
</li>
</ul>
<a id="getKindOfUnit()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKindOfUnit</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getKindOfUnit()</pre>
</li>
</ul>
<a id="setKindOfUnit(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKindOfUnit</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setKindOfUnit&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;kindOfUnit)</pre>
</li>
</ul>
<a id="getCollectionType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCollectionType</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getCollectionType()</pre>
</li>
</ul>
<a id="setCollectionType(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCollectionType</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCollectionType&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;collectionType)</pre>
</li>
</ul>
<a id="getSex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSex</h4>
<pre class="methodSignature">public&nbsp;<a href="Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a>&nbsp;getSex()</pre>
</li>
</ul>
<a id="setSex(nl.naturalis.nba.api.model.Sex)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSex</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSex&#8203;(<a href="Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a>&nbsp;sex)</pre>
</li>
</ul>
<a id="getPhaseOrStage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPhaseOrStage</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getPhaseOrStage()</pre>
</li>
</ul>
<a id="setPhaseOrStage(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPhaseOrStage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPhaseOrStage&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;phaseOrStage)</pre>
</li>
</ul>
<a id="getTitle()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getTitle()</pre>
</li>
</ul>
<a id="setTitle(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTitle&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;title)</pre>
</li>
</ul>
<a id="getNotes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNotes</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getNotes()</pre>
</li>
</ul>
<a id="setNotes(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNotes</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setNotes&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;notes)</pre>
</li>
</ul>
<a id="getPreparationType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreparationType</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getPreparationType()</pre>
</li>
</ul>
<a id="setPreparationType(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreparationType</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPreparationType&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;preparationType)</pre>
</li>
</ul>
<a id="getPreviousUnitsText()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPreviousUnitsText</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getPreviousUnitsText()</pre>
</li>
</ul>
<a id="setPreviousUnitsText(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPreviousUnitsText</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPreviousUnitsText&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;previousUnitsText)</pre>
</li>
</ul>
<a id="getNumberOfSpecimen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumberOfSpecimen</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;getNumberOfSpecimen()</pre>
</li>
</ul>
<a id="setNumberOfSpecimen(java.lang.Integer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNumberOfSpecimen</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setNumberOfSpecimen&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Integer.html?is-external=true" title="class or interface in java.lang" class="externalLink">Integer</a>&nbsp;numberOfSpecimen)</pre>
</li>
</ul>
<a id="isFromCaptivity()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFromCaptivity</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;isFromCaptivity()</pre>
</li>
</ul>
<a id="setFromCaptivity(java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFromCaptivity</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setFromCaptivity&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;fromCaptivity)</pre>
</li>
</ul>
<a id="isObjectPublic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isObjectPublic</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isObjectPublic()</pre>
</li>
</ul>
<a id="setObjectPublic(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setObjectPublic</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setObjectPublic&#8203;(boolean&nbsp;objectPublic)</pre>
</li>
</ul>
<a id="isMultiMediaPublic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMultiMediaPublic</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;isMultiMediaPublic()</pre>
</li>
</ul>
<a id="setMultiMediaPublic(java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMultiMediaPublic</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMultiMediaPublic&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang" class="externalLink">Boolean</a>&nbsp;multiMediaPublic)</pre>
</li>
</ul>
<a id="getAcquiredFrom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcquiredFrom</h4>
<pre class="methodSignature">public&nbsp;<a href="Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a>&nbsp;getAcquiredFrom()</pre>
</li>
</ul>
<a id="setAcquiredFrom(nl.naturalis.nba.api.model.Agent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAcquiredFrom</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAcquiredFrom&#8203;(<a href="Agent.html" title="class in nl.naturalis.nba.api.model">Agent</a>&nbsp;acquiredFrom)</pre>
</li>
</ul>
<a id="getGatheringEvent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGatheringEvent</h4>
<pre class="methodSignature">public&nbsp;<a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a>&nbsp;getGatheringEvent()</pre>
</li>
</ul>
<a id="setGatheringEvent(nl.naturalis.nba.api.model.GatheringEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGatheringEvent</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGatheringEvent&#8203;(<a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model">GatheringEvent</a>&nbsp;gatheringEvent)</pre>
</li>
</ul>
<a id="getIdentifications()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentifications</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a>&gt;&nbsp;getIdentifications()</pre>
</li>
</ul>
<a id="setIdentifications(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIdentifications</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setIdentifications&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model">SpecimenIdentification</a>&gt;&nbsp;identifications)</pre>
</li>
</ul>
<a id="getAssociatedMultiMediaUris()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssociatedMultiMediaUris</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a>&gt;&nbsp;getAssociatedMultiMediaUris()</pre>
</li>
</ul>
<a id="setAssociatedMultiMediaUris(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAssociatedMultiMediaUris</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAssociatedMultiMediaUris&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model">ServiceAccessPoint</a>&gt;&nbsp;associatedMultiMediaUris)</pre>
</li>
</ul>
<a id="getTheme()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTheme</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;&nbsp;getTheme()</pre>
</li>
</ul>
<a id="setTheme(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTheme</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTheme&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&gt;&nbsp;theme)</pre>
</li>
</ul>
<a id="getAssociatedMultiMediaObjects()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssociatedMultiMediaObjects</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;&nbsp;getAssociatedMultiMediaObjects()</pre>
</li>
</ul>
<a id="setAssociatedMultiMediaObjects(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAssociatedMultiMediaObjects</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setAssociatedMultiMediaObjects&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a>&gt;&nbsp;associatedMultiMediaObjects)</pre>
</li>
</ul>
<a id="getInformationWithheld()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInformationWithheld</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getInformationWithheld()</pre>
</li>
</ul>
<a id="setInformationWithheld(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInformationWithheld</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInformationWithheld&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;informationWithheld)</pre>
</li>
</ul>
<a id="getDataGeneralizations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDataGeneralizations</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;getDataGeneralizations()</pre>
</li>
</ul>
<a id="setDataGeneralizations(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDataGeneralizations</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDataGeneralizations&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;dataGeneralizations)</pre>
</li>
</ul>
<a id="getDateLastEdited()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateLastEdited</h4>
<pre class="methodSignature">public&nbsp;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/time/OffsetDateTime.html?is-external=true" title="class or interface in java.time" class="externalLink">OffsetDateTime</a>&nbsp;getDateLastEdited()</pre>
</li>
</ul>
<a id="setDateLastEdited(java.time.OffsetDateTime)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDateLastEdited</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDateLastEdited&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/time/OffsetDateTime.html?is-external=true" title="class or interface in java.time" class="externalLink">OffsetDateTime</a>&nbsp;dateLastEdited)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Specimen.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
